"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChartTileLabel = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const ui_1 = require("@cs-bosch-medusa/ui");
const theme_1 = require("../../theme");
const ChartTileLabel = ({ style, children, testID }) => {
    const { theme } = (0, ui_1.useTheme)();
    const { chartTheme } = (0, theme_1.useChartTheme)();
    const textStyle = react_native_1.StyleSheet.flatten([
        {
            color: theme.textColor,
            fontFamily: theme.regularFont,
            fontSize: ui_1.FontSize.TINY,
        },
        style,
    ]);
    return (react_1.default.createElement(react_native_1.Text, { allowFontScaling: theme.allowFontScaling, numberOfLines: chartTheme.tile.maxLabelRowHeightLimit, style: textStyle, ...(0, ui_1.getTestIdProps)(testID) }, children));
};
exports.ChartTileLabel = ChartTileLabel;
