import { FC } from "react";
import * as d3Scale from "d3-scale";
import { Colors } from "@cs-bosch-medusa/ui";
import { GroupedValue } from "./types";
export type BarsProps = {
    /** Scale of the x values. */
    xScale: d3Scale.ScaleTime<number, number>;
    /** Scale of the y values. */
    yScale: d3Scale.ScaleLinear<number, number>;
    /** The width in pixels of the bars. */
    barWidth: number;
    /** List of parameter ids which will be drawn on the chart. */
    activeParameters: string[];
    /**
     * A map containing the values of each active parameter,
     * grouped by timestamp.
     */
    values: Record<number, GroupedValue>;
    /** Parameter ids mapped to colors. */
    colors: Record<string, Colors>;
    /** Timestamp selected on the chart. */
    selectedTimestamp?: number;
};
export declare const Bars: FC<BarsProps>;
//# sourceMappingURL=bars.d.ts.map