import { FC } from "react";
import * as d3Scale from "d3-scale";
type HorizontalTimeLineAxisProps = {
    /** Width of the svg. */
    width: number;
    /** Height of the svg. */
    height: number;
    /** Scale of the x values. */
    scale: d3Scale.ScaleTime<number, number>;
    /** The number of the small ticks to be displayed between ticks on the X axis. */
    smallTickCount: number;
    /** The number of ticks to show below the X axis. */
    tickCount: number;
    /**
     * The frequency of the labels to show below the ticks.
     * It cannot be 0 or less.
     *
     * Default value is 2.
     */
    labelFrequency?: number;
    /**
     * Formatting function of the value to be displayed on the X axis.
     *
     * @param value the value of the tick on the X axis
     */
    formatLabel(value: number): string;
    /**
     * The time range inside which the values belong.
     * Format is [startTime, endTime].
     */
    timestampRange: [number, number];
};
/**
 * Horizontal timeline axis component with ticks and labels.
 */
export declare const HorizontalTimeLineAxis: FC<HorizontalTimeLineAxisProps>;
export {};
//# sourceMappingURL=horizontal-time-line-axis.d.ts.map