"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectedParameterValues = void 0;
const react_1 = __importDefault(require("react"));
const ui_1 = require("@cs-bosch-medusa/ui");
const react_native_1 = require("react-native");
const color_indicator_1 = require("./color-indicator");
const SelectedParameterValues = ({ parameters, colors, onPress, fullWidth, }) => {
    return (react_1.default.createElement(react_native_1.TouchableWithoutFeedback, { onPress: onPress },
        react_1.default.createElement(react_native_1.View, null,
            react_1.default.createElement(ui_1.List, { fullWidth: fullWidth }, parameters.map((parameter) => {
                const itemColor = colors[parameter.id];
                return (react_1.default.createElement(ui_1.ListItem, { key: parameter.id, leftComponent: react_1.default.createElement(color_indicator_1.ColorIndicator, { color: itemColor }), rightComponent: react_1.default.createElement(ui_1.Label, { style: { color: itemColor } }, parameter.formattedValue), text: parameter.label }));
            })))));
};
exports.SelectedParameterValues = SelectedParameterValues;
