import { DateData } from "react-native-calendars";
export type CalendarPickerDataProps = {
    /** Currently selected date. */
    selectedDay: Date;
    /**
     * First selectable date. Dates before this will be greyed out.
     */
    minDate?: Date;
    /**
     * Latest selectable date. Dates after this will be greyed out.
     */
    maxDate?: Date;
    /**
     * Defines whether the arrow icons should be disabled when
     * the next/previous month's days are all disabled. (`minDate` or `maxDate` has to be defined).
     *
     * Defaults to false.
     */
    disableNavigationToDisabledMonths?: boolean;
};
export declare const useCalendarPickerData: ({ selectedDay, minDate, maxDate, disableNavigationToDisabledMonths, }: CalendarPickerDataProps) => {
    disabledArrowLeft: boolean;
    disabledArrowRight: boolean;
    maxDateString: string | undefined;
    minDateString: string | undefined;
    selectedDayString: string;
    onVisibleMonthsChange: (months: DateData[]) => void;
};
//# sourceMappingURL=calendar-picker-data-hook.d.ts.map