"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimePeriodSelector = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const ui_1 = require("@cs-bosch-medusa/ui");
const calendar_arrow_1 = require("./calendar-arrow");
const styles = react_native_1.StyleSheet.create({
    calendarIcon: {
        paddingLeft: ui_1.METRICS.CONTAINER.basePadding,
    },
    container: {
        flexDirection: "row",
        height: ui_1.IconSize.SMALL + ui_1.METRICS.CONTAINER.doubleBasePadding,
        padding: ui_1.METRICS.CONTAINER.basePadding,
    },
    label: {
        alignItems: "center",
        flex: 1,
        justifyContent: "center",
    },
    left: {
        alignItems: "flex-start",
        justifyContent: "center",
    },
    navigationLabelContainer: {
        alignItems: "center",
        flexDirection: "row",
    },
    right: {
        alignItems: "flex-end",
        justifyContent: "center",
    },
});
const TimePeriodSelector = ({ disabled = false, leftArrowDisabled = false, rightArrowDisabled = false, label, showIcon = false, onPress, onDecrement, onIncrement, testID, }) => {
    const { theme } = (0, ui_1.useTheme)();
    const leftDisabled = disabled || leftArrowDisabled;
    const rightDisabled = disabled || rightArrowDisabled;
    return (react_1.default.createElement(react_native_1.View, { style: styles.container },
        react_1.default.createElement(react_native_1.View, { style: styles.left },
            react_1.default.createElement(react_native_1.TouchableOpacity, { activeOpacity: theme.activeOpacity, disabled: leftDisabled, onPress: onDecrement, ...(0, ui_1.getTestIdProps)(`${testID}.leftArrow`) },
                react_1.default.createElement(calendar_arrow_1.CalendarArrow, { direction: "left", disabled: leftDisabled }))),
        react_1.default.createElement(react_native_1.View, { style: styles.label },
            react_1.default.createElement(react_native_1.TouchableOpacity, { disabled: disabled, onPress: onPress, style: styles.navigationLabelContainer, ...(0, ui_1.getTestIdProps)(testID) },
                react_1.default.createElement(ui_1.Label, null, label),
                showIcon && (react_1.default.createElement(react_native_1.View, { style: styles.calendarIcon },
                    react_1.default.createElement(ui_1.CalendarIcon, { iconSize: ui_1.IconSize.XSMALL }))))),
        react_1.default.createElement(react_native_1.View, { style: styles.right },
            react_1.default.createElement(react_native_1.TouchableOpacity, { activeOpacity: theme.activeOpacity, disabled: rightDisabled, onPress: onIncrement, ...(0, ui_1.getTestIdProps)(`${testID}.rightArrow`) },
                react_1.default.createElement(calendar_arrow_1.CalendarArrow, { direction: "right", disabled: rightDisabled })))));
};
exports.TimePeriodSelector = TimePeriodSelector;
