# @cs-bosch-medusa/ui

## Installation

Some other packages are needed for `@cs-bosch-medusa/ui` to work. Due to them being native dependencies they need to added directly to your app for the native module linking to work.

Install these modules (if you don't have them already in your project) alongside the library.

### GitLab packages

Packages hosted on GitLab (like `@cs-bosch-medusa/ui` and `@cs-bosch-fonts/bosch-sans-fonts`) need additional setup steps, before they can be installed:

1. Add the scope-level registry URLs to your project's `.npmrc` file.

    ```properties
    @cs-bosch-medusa:registry=https://src.codespring.ro/api/v4/projects/571/packages/npm/
    @cs-bosch-fonts:registry=https://src.codespring.ro/api/v4/projects/279/packages/npm/
    ```

1. You will need to use your [personal access token](https://docs.gitlab.com/ee/user/profile/personal_access_tokens.html#create-a-personal-access-token) with scope `api` for authentication. You need to set this in your personal rc file at `~/.npmrc` either by hand or by running

    ```bash
    npm config set -- '//src.codespring.ro/api/v4/projects/571/packages/npm/:_authToken' "<your_personal_access_token>"
    npm config set -- '//src.codespring.ro/api/v4/projects/279/packages/npm/:_authToken' "<your_personal_access_token>"
    ```

### yarn

```bash
yarn add @cs-bosch-medusa/ui @cs-bosch-fonts/bosch-sans-fonts@^1.2.3 @react-native-community/slider@^2.0.0 react-native-svg@^9.9.4

yarn react-native link @cs-bosch-fonts/bosch-sans-fonts
```

### npm

```bash
npm install --save @cs-bosch-medusa/ui @cs-bosch-fonts/bosch-sans-fonts@^1.2.3 @react-native-community/slider@^2.0.0 react-native-svg@^9.9.4

npx react-native link @cs-bosch-fonts/bosch-sans-fonts
```

## Usage

### Available UI Components

For components and other changes please see [the changelog](../../CHANGELOG.md).

For usage information and examples check the docs website (coming later). For now you can run the docs locally by pulling the medusa repository and starting the docs server:

```sh
cd medusa-website
yarn
yarn start
```

## Custom icons

**Note:** If you need icons that might be used in other Bosch applications that use medusa, you should contribute the svg files to this project.

But if you have specific icons you want to use exclusively in your app, you can use the transformer plugin to create medusa-compatible icon components. A more detailed guide can be found in the [plugin's description](../medusa-icon-generator).
