import { FC } from "react";
import { NativeSyntheticEvent, ImageLoadEventData, ImageStyle, ImageSourcePropType, StyleProp } from "react-native";
import { TestProps } from "../../util";
export type FadeInImageProps = TestProps & {
    /** The image source (either a remote URL or a local file resource). */
    source: ImageSourcePropType;
    /** Callback that is called when load completes successfully. */
    onLoad?: (event: NativeSyntheticEvent<ImageLoadEventData>) => void;
    /** Callback that is called on load error. */
    onError?: () => void;
    /** Additional styling for the image. */
    style?: StyleProp<ImageStyle>;
};
export declare const FadeInImage: FC<FadeInImageProps>;
//# sourceMappingURL=fade-in-image.d.ts.map