"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextFieldLabelAndCounter = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const text_1 = require("../text");
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: "row",
        paddingTop: theme_1.METRICS.CONTAINER.basePadding,
    },
    counterLabel: {
        /**
         * NOTE: The line height is not the same as the font size.
         * If we fix the line height, then the height will be same
         * for the other `TextField` components.
         */
        lineHeight: theme_1.FontSize.TINY,
        paddingRight: theme_1.METRICS.CONTAINER.halfBasePadding,
        textAlign: "right",
        width: "auto",
    },
    label: {
        flex: 1,
        fontSize: theme_1.FontSize.TINY,
        /**
         * NOTE: The line height is not the same as the font size.
         * If we fix the line height, then the height will be same
         * for the other `TextField` components.
         */
        lineHeight: theme_1.FontSize.TINY,
    },
});
const TextFieldLabelAndCounter = ({ focused, label, maxLength, style: inheritedStyle, textColor, textLength, }) => {
    const { theme } = (0, theme_1.useTheme)();
    const animatedOpacity = (0, react_1.useRef)(new react_native_1.Animated.Value(0));
    (0, react_1.useEffect)(() => {
        react_native_1.Animated.timing(animatedOpacity.current, {
            duration: theme_1.ANIMATION_DURATION.FADE,
            toValue: focused ? 1 : 0,
            useNativeDriver: true,
        }).start();
    }, [focused]);
    return (react_1.default.createElement(react_native_1.View, { style: [styles.container, inheritedStyle] },
        react_1.default.createElement(react_native_1.Text, { allowFontScaling: theme.allowFontScaling, numberOfLines: 1, style: [
                styles.label,
                {
                    color: textColor,
                    fontFamily: theme.regularFont,
                },
            ] }, label),
        maxLength && (react_1.default.createElement(react_native_1.Animated.View, { style: { opacity: animatedOpacity.current } },
            react_1.default.createElement(text_1.HintLabel, { style: styles.counterLabel }, `${textLength} / ${maxLength}`)))));
};
exports.TextFieldLabelAndCounter = TextFieldLabelAndCounter;
