"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTextFieldRef = void 0;
const react_1 = require("react");
/**
 * Forwards the text field ref while also making it available inside the component.
 */
function useTextFieldRef(ref) {
    // eslint-disable-next-line unicorn/no-null
    const inputRef = (0, react_1.useRef)(null);
    (0, react_1.useImperativeHandle)(ref, () => ({
        focus: () => { var _a; return (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus(); },
        blur: () => { var _a; return (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.blur(); },
        isFocused: () => { var _a, _b; return (_b = (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.isFocused()) !== null && _b !== void 0 ? _b : false; },
    }), []);
    return inputRef;
}
exports.useTextFieldRef = useTextFieldRef;
