"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTextFieldStyle = exports.textFieldStyle = void 0;
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
exports.textFieldStyle = react_native_1.StyleSheet.create({
    container: {
        alignSelf: "stretch",
        paddingVertical: theme_1.METRICS.CONTAINER.halfBaseMargin,
    },
    label: {
        fontSize: theme_1.FontSize.TINY,
        /**
         * NOTE: The line height is not the same as the font size.
         * If we fix the line height, then the height will be same
         * for the `TextFieldWithLabel` component and
         * for the `TextField` component.
         */
        lineHeight: theme_1.FontSize.TINY,
        paddingTop: theme_1.METRICS.CONTAINER.basePadding,
    },
    textContainer: {
        paddingHorizontal: theme_1.METRICS.CONTAINER.baseMargin + theme_1.METRICS.CONTAINER.halfBaseMargin,
    },
    textField: {
        fontSize: theme_1.FontSize.MEDIUM,
        paddingVertical: theme_1.METRICS.CONTAINER.halfBasePadding +
            (theme_1.FontSize.TINY + theme_1.METRICS.CONTAINER.halfBasePadding) / 2,
    },
    textFieldWithLabel: {
        fontSize: theme_1.FontSize.MEDIUM,
        paddingBottom: theme_1.METRICS.CONTAINER.halfBasePadding,
    },
});
const useTextFieldStyle = ({ focused, disabled = false, }) => {
    const { theme } = (0, theme_1.useTheme)();
    if (disabled) {
        return theme.inputs.disabled;
    }
    return focused ? theme.inputs.focused : theme.inputs.default;
};
exports.useTextFieldStyle = useTextFieldStyle;
