import { FC, ReactNode } from "react";
import { TestProps } from "../../util";
export type ListSectionProps = TestProps & {
    /** The title of the section header. */
    title: string;
    /** Custom left component. */
    leftComponent?: JSX.Element;
    /** Custom right component. */
    rightComponent?: JSX.Element;
    /**
     * Components to display.
     */
    children?: ReactNode;
};
/**
 * Wraps multiple ListItems that belong in the same group and adds a header
 * with the section's name before the elements.
 *
 * @see ListItem
 */
export declare const ListSection: FC<ListSectionProps>;
//# sourceMappingURL=list-section.d.ts.map