import { ReactNode } from "react";
import { TestProps } from "../../util";
export type ModalButtonProps = TestProps & {
    text: string;
    onPress: () => void;
};
export type ModalProps = TestProps & {
    /** Display the modal only when value is `true`. */
    visible: boolean;
    /** The title of the modal. */
    title?: string;
    /** The message of the modal. */
    message?: string;
    /** List of buttons. On android supports max. 3 buttons. */
    buttons?: ModalButtonProps[];
    /**
     * Renders the modal on transparent background when value is `true`.
     * Defaults to `true`.
     */
    transparent?: boolean;
    /**
     * Components to display.
     */
    children?: ReactNode;
    /**
     * If `true`, wraps the Modal content into a KeyboardContainer that fixes the keyboard covering the bottom of the Modal issue on iOS. It has no effect on Android.
     *
     * Defaults to `false`.
     *
     * Enable it if the Modal contains inputs.
     */
    withInput?: boolean;
};
//# sourceMappingURL=modal-props.d.ts.map