import { FC } from "react";
import { StyleProp, ViewStyle } from "react-native";
import { TestProps } from "../../util";
export type ProcessIndicatorWithManyStepsProps = TestProps & {
    /** Number of stages to display. */
    maxStages: number;
    /** The step to be rendered as a circle with the number inside, while the other steps are smaller dots. To display dots for all the stages, set this to maxStages + 1. */
    currentStage: number;
    /**
     * Maximum width of the process indicator.
     * Defaults to SCREEN_WIDTH - METRICS.SCREEN.basePadding * 2.
     */
    maxWidth?: number;
    /** Additional styling to apply to the process indicator's container. */
    style?: StyleProp<ViewStyle>;
};
/**
 * Component used for displaying the status of a process in case of more than 7 stages.
 * Stages are represented as dots and the current stage
 * has its index in the center of a circle.
 */
export declare const ProcessIndicatorWithManySteps: FC<ProcessIndicatorWithManyStepsProps>;
//# sourceMappingURL=process-indicator-with-many-steps.d.ts.map