import React from "react";
import { TestProps } from "../../util";
export type RadioButtonContainerProps<T> = TestProps & {
    /** The value that is currently selected. */
    value: T;
    /** Multiple `RadioButton` components passed as children. */
    children: React.ReactNode;
    /** Disable interactions with the component. */
    disabled?: boolean;
    /**
     * Callback to be called when a radio button is pressed.
     *
     * @param newValue the value of the pressed radio button
     */
    onChange(newValue: T): void;
};
/**
 * A component that lets the user select an option from the list of possible
 * values.
 */
export declare const RadioButtonContainer: <T>(props: React.PropsWithChildren<RadioButtonContainerProps<T>>) => React.ReactElement;
//# sourceMappingURL=radio-button-container.d.ts.map