"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SegmentedControl = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    segmentedControl: {
        flexDirection: "row",
    },
    touchableFlex: {
        flex: 1,
    },
});
const isSegmentedTab = (child) => {
    return typeof child === "object" && "props" in (child !== null && child !== void 0 ? child : {});
};
/**
 * A component that lets the user select an option from the list of possible
 * values. Use when there are few values (2-4). The options are shown besides
 * each other and are visually similar to buttons.
 */
function SegmentedControl(props) {
    const { value, children, stretch = true, disabled = false, testID, onChange, } = props;
    if (react_1.default.Children.count(children) < 2) {
        console.warn("SegmentedControl needs at least 2 children to render.");
        // eslint-disable-next-line unicorn/no-null
        return null;
    }
    return (
    // eslint-disable-next-line react/jsx-props-no-spreading
    react_1.default.createElement(react_native_1.View, { style: styles.segmentedControl, ...(0, util_1.getTestIdProps)(testID) }, react_1.default.Children.toArray(children)
        .filter(isSegmentedTab)
        .map((tab, i) => (react_1.default.createElement(SegmentedTabWrapper, { currentValue: value, disabled: disabled, first: i === 0, key: `${tab.props.value}`, onChange: onChange, stretch: stretch, tab: tab, testID: `${testID}.${i}` })))));
}
exports.SegmentedControl = SegmentedControl;
const SegmentedTabWrapper = (props) => {
    const { tab, currentValue, stretch, first, disabled, onChange, testID } = props;
    const { value: tabValue } = tab.props;
    const selected = currentValue === tabValue;
    const onTabPress = (0, react_1.useCallback)(() => onChange(tabValue), [tabValue, onChange]);
    return (react_1.default.createElement(react_native_1.Pressable, { disabled: disabled, onPress: onTabPress, style: stretch ? styles.touchableFlex : undefined, ...(0, util_1.getTestIdProps)(testID) }, ({ pressed }) => react_1.default.cloneElement(tab, {
        selected,
        disabled,
        first,
        pressed,
    })));
};
