import { TestProps } from "../../util";
export type SliderProps = TestProps & {
    /** Current value of the slider. */
    value: number;
    /** Maximum slider value. Defaults to 100. */
    max?: number;
    /** Minimum slider value. Defaults to 0. */
    min?: number;
    /** Step value of the slider. The value should be between 0 and (maximumValue - minimumValue). Default value is 1. */
    step?: number;
    /** If true, disable all interactions for this component. Default is false. */
    disabled?: boolean;
    /**
     * Callback to be called when slider value changes.
     *
     * Only called when sliding action is finished.
     */
    onValueChange(value: number): void;
    /**
     * Callback to be called when slider value changes.
     * This updates during the sliding as well.
     *
     * _Use only if you really need it, in most cases
     * `onValueChange` should be enough._
     */
    onValueChangeVolatile?(value: number): void;
    /**
     * Callback that is called with `true` when sliding starts
     * and then called with `false` when sliding ends.
     */
    onSlidingChange?(sliding: boolean): void;
};
//# sourceMappingURL=slider-props.d.ts.map