"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AToBIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const AToBIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Circle, { cx: 48, cy: 92, r: 12, fill: "none", stroke: "#000", strokeMiterlimit: 10, strokeWidth: 8 }),
            react_1.default.createElement(react_native_svg_1.Circle, { cx: 144, cy: 100, r: 12, fill: "none", stroke: "#000", strokeMiterlimit: 10, strokeWidth: 8 }),
            react_1.default.createElement(react_native_svg_1.Path, { fill: "none", stroke: "#000", strokeMiterlimit: 10, strokeWidth: 8, d: "M48 104v28c0 13.3 10.7 24 24 24h0c13.3 0 24-10.7 24-24V60c0-13.3 10.7-24 24-24h0c13.3 0 24 10.7 24 24v28" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M58.8 68l-2.3-6.8H41.9L39.6 68H32l13.2-36h9.3l12.9 36h-8.6zm-9.5-28.4l-5.4 15.8h10.8l-5.4-15.8zm81.7 84.9h16c7.5 0 11.6 3.3 11.6 9.4 0 3.8-1.4 6-5 7.6 4.5 1.5 6.4 4 6.4 8.5 0 6.5-4.3 10-12.4 10H131v-35.5zm15.6 14.3c3 0 4.4-1.3 4.4-4.2s-1.5-4.1-4.7-4.1h-7.5v8.3h7.8zm.4 15.1c3.3 0 5.2-1.7 5.2-4.8 0-3-1.9-4.7-5.5-4.7h-7.9v9.4h8.2z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M128 100c0 8.8 7.2 16 16 16s16-7.2 16-16c0-7.4-5.1-13.7-12-15.5V60c0-15.4-12.6-28-28-28S92 44.6 92 60v72c0 11-9 20-20 20s-20-9-20-20v-24.5c6.9-1.8 12-8 12-15.5 0-8.8-7.2-16-16-16s-16 7.2-16 16c0 7.4 5.1 13.7 12 15.5V132c0 15.4 12.6 28 28 28s28-12.6 28-28V60c0-11 9-20 20-20s20 9 20 20v24.5c-6.9 1.8-12 8.1-12 15.5zm-88-8c0-4.4 3.6-8 8-8s8 3.6 8 8-3.6 8-8 8-8-3.6-8-8zm112 8c0 4.4-3.6 8-8 8s-8-3.6-8-8 3.6-8 8-8 8 3.6 8 8z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M41.9 61.2h14.6l2.3 6.8h8.6L54.5 32h-9.3L32 68h7.6l2.3-6.8zm7.4-21.6l5.3 15.8H43.8l5.5-15.8zm104.3 101.9c3.6-1.7 5-3.8 5-7.6 0-6.1-4.1-9.4-11.6-9.4h-16V160h16.6c8.1 0 12.4-3.5 12.4-10 0-4.5-1.8-6.9-6.4-8.5zm-14.8-11h7.5c3.2 0 4.7 1.3 4.7 4.1s-1.4 4.2-4.4 4.2h-7.8v-8.3zm8.2 23.4h-8.2v-9.4h7.9c3.6 0 5.5 1.6 5.5 4.7s-1.9 4.7-5.2 4.7z" }))));
};
exports.AToBIcon = AToBIcon;
