"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppliancePlugFuelCellIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const AppliancePlugFuelCellIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M148 16H84c-15.4 0-28 12.6-28 28v104c0 1.4.1 2.7.3 4H44c-4 0-8-4-8-8v-20.5c6.9-1.8 12-8 12-15.5v-8h-4V88h-8v12h-8V88h-8v12h-4v8c0 7.5 5.1 13.7 12 15.5V144c0 8.4 7.6 16 16 16h14.7c4.5 9.5 14.1 16 25.3 16h64c15.4 0 28-12.6 28-28V44c0-15.4-12.6-28-28-28zm20 132c0 11-9 20-20 20H84c-11 0-20-9-20-20V44c0-11 9-20 20-20h64c11 0 20 9 20 20v104z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M82.4 104H76v8h23.1l4-8H100zM76 128h15.1l4-8H76zm18-37.3l2.4-2.7H76v8h13.4zM110.4 72H76v8h27.4zm-.4 53.3l-2.4 2.7H156v-8h-41.4zm28-32l-2.4 2.7H156v-8h-13.4zM128.9 80H156v-8h-23.1zm-7.3 32H156v-8h-27.4z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M132 88h-16l12-24-28 32h16l-12 24z" }))));
};
exports.AppliancePlugFuelCellIcon = AppliancePlugFuelCellIcon;
