"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const CallIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M128.6 159.4c-6.5 0-35.9-1.7-65.4-31.2C31.1 96.1 31.9 64.1 32 61.6c0-2.6 1.1-5.1 2.9-7l12.7-12.7C49.5 40 52 39 54.7 39c2.7 0 5.2 1 7.1 2.9l17 17c1.9 1.9 2.9 4.4 2.9 7.1 0 2.7-1 5.2-2.9 7.1L68.9 83c-.2.2-.6.7-.6 1.4v.4c0 .9.6 9.5 14.7 23.7 14.3 14.3 22.9 14.7 23.7 14.7h.4c.7 0 1.2-.4 1.4-.6l9.9-9.9c1.9-1.9 4.4-2.9 7.1-2.9s5.2 1 7.1 2.9l17 17c3.9 3.9 3.9 10.2 0 14.1l-12.7 12.7c-1.9 1.9-4.3 2.9-7 2.9h-1.3zM54.7 47c-.3 0-.9.1-1.4.6L40.6 60.3c-.2.2-.6.7-.6 1.4v.2c0 .3-1.2 30.6 28.9 60.6 30.2 30.2 60.3 28.9 60.6 28.9h.2c.7 0 1.2-.4 1.4-.6l12.7-12.7c.8-.8.8-2 0-2.8l-17-17c-.8-.8-2-.8-2.8 0l-9.9 9.9c-1.9 1.9-4.3 2.9-6.9 2.9-2.1.1-13-.2-29.9-17.1-16.8-16.8-17.1-27.7-17-29.8 0-2.6 1.1-5.1 2.9-6.9l9.9-9.9c.8-.8.8-2 0-2.8l-17-17c-.4-.5-1-.6-1.4-.6z" }))));
};
exports.CallIcon = CallIcon;
