"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const CopyIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M120 160H32V72h32v8H40v72h72v-24h8v32zm40-56h-8v8h-8v8h16v-16zm0-24h-8v16h8V80zm0-24h-8v16h8V56zm0-24h-16v8h8v8h8V32zm-24 0h-16v8h16v-8zm-24 0H96v8h16v-8zm-32 8h8v-8H72v16h8v-8zm0 16h-8v16h8V56zm0 24h-8v16h8V80zm8 32h-8v-8h-8v16h16v-8zm48 0h-16v8h16v-8zm-24 0H96v8h16v-8z" }))));
};
exports.CopyIcon = CopyIcon;
