"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentEditIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const DocumentEditIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M170.8 82.2c-6-6-15.7-6-21.7 0l-44.7 44.7-10.8 32.5 32.5-10.8 44.7-44.7c6-6 6-15.8 0-21.7zm-61.1 54.2l6.8 6.8-10.3 3.4 3.5-10.2zm55.5-38.2L124 139.3 113.7 129l41.2-41.2c2.9-2.9 7.5-2.9 10.3 0 2.8 2.9 2.8 7.5 0 10.4zM56 72h64v8H56zm0 20h64v8H56zm0 20h40v8H56z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M144 142v26H48V24h68v32h28v20.1c2.3-2.2 5.1-3.9 8-5V50.5L121.8 16H40v160h112v-42l-8 8zM124 30.6L139.2 48H124V30.6z" }))));
};
exports.DocumentEditIcon = DocumentEditIcon;
