"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FaucetIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const FaucetIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M144.4 117.7c-3-4.6-4.9-7.8-4.9-7.8L136 104l-3.4 5.9s-1.9 3.2-4.9 7.8l-.7 1c-3.1 4.7-7 10.6-7 17.1 0 8.8 7.2 16 16 16s16-7.2 16-16c0-6.5-3.9-12.4-7-17.1l-.6-1zm-8.4 26.2c-4.4 0-8-3.6-8-8 0-4.1 3-8.7 5.7-12.8l.7-1.1c.6-.9 1.1-1.8 1.6-2.6.5.8 1.1 1.7 1.7 2.6l.7 1.1c2.6 4 5.7 8.6 5.7 12.7-.1 4.5-3.7 8.1-8.1 8.1z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M132 56H72V40h47v-8H32v128h40V88h88v-4c0-15.4-12.6-28-28-28zM40 40h24v16H40V40zm24 40v72H40V64h92c9.7 0 17.7 6.9 19.6 16H64z" }))));
};
exports.FaucetIcon = FaucetIcon;
