"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HotIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const HotIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M134.5 175.1l-5-6.2 2.5 3.1-2.5-3.1c.2-.1 18.5-15.2 18.5-36.9 0-14.9-5.6-24.1-11.4-33.9-6.2-10.3-12.6-21-12.6-38.1 0-25.4 16.5-42.1 17.2-42.8l5.7 5.7C146.7 23 132 38 132 60c0 14.9 5.6 24.1 11.4 33.9 6.2 10.3 12.6 21 12.6 38.1 0 25.6-20.6 42.4-21.5 43.1zm-44 0l-5-6.2L88 172l-2.5-3.1c.2-.1 18.5-15.2 18.5-36.9 0-14.9-5.6-24.1-11.4-33.9C86.4 87.8 80 77.1 80 60c0-25.4 16.5-42.1 17.2-42.8l5.7 5.7C102.7 23 88 38 88 60c0 14.9 5.6 24.1 11.4 33.9 6.2 10.3 12.6 21 12.6 38.1 0 25.6-20.6 42.4-21.5 43.1zm-44 0l-5-6.2L44 172l-2.5-3.1c.2-.2 18.5-15.2 18.5-36.9 0-14.9-5.6-24.1-11.4-33.9C42.4 87.8 36 77.1 36 60c0-25.4 16.5-42.1 17.2-42.8l5.7 5.7C58.7 23 44 38 44 60c0 14.9 5.6 24.1 11.4 33.9 6.2 10.3 12.6 21 12.6 38.1 0 25.6-20.6 42.4-21.5 43.1z" }))));
};
exports.HotIcon = HotIcon;
