"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImprintIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ImprintIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M120.8 41.1c-6.7-11.3-13.8-15.6-25.5-15.6-13.3 0-21.3 6.7-21.3 18S79.4 59.7 98.3 66c14.7 4.6 20.5 7 25.7 10.2 9.3 5.8 13.6 13.4 13.6 23.8 0 12.8-6.7 21-21.4 25.8 8.5 6.1 12.1 12.6 12.1 22.5 0 16.7-12.6 27.7-32 27.7-15.6 0-26.6-6.5-34.6-20.4l8-5c6.7 11.1 14.5 16 26.4 16 13.6 0 21.2-6.3 21.2-17.8 0-7.2-2.8-12.1-8.9-15.8-5.2-3-5.9-3.3-23.2-9.3-21.7-7.4-30.7-16.7-30.7-31.6 0-12.6 6.5-20.6 21-25.5-8-5.8-11.5-12.5-11.5-22.1C63.9 27.3 76.6 16 95.7 16c15.2 0 25.5 6.1 32.9 19.9l-7.8 5.2zm5.8 59.1c0-12.6-7.8-17.8-41.3-27.9-13.7 2.6-19.9 8.6-19.9 19.7 0 10.2 4.3 14.7 19.3 20.6 5.9 2.2 13.8 5.2 21 7.8 14.2-2.8 20.9-9.3 20.9-20.2z" }))));
};
exports.ImprintIcon = ImprintIcon;
