"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InfoIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const InfoIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M101.4 53.4c0 3-2.5 5.4-5.4 5.4-3 0-5.4-2.5-5.4-5.4 0-3 2.5-5.4 5.4-5.4 3 0 5.4 2.5 5.4 5.4zm-9.3 15.1h8.2V120h-8.2V68.5z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96 174.9l-21.5-30.3C46.2 135.9 28 112.2 28 84c0-37.5 30.5-68 68-68s68 30.5 68 68c0 28.2-18.2 51.9-46.5 60.7L96 174.9zM96 24c-33.1 0-60 26.9-60 60 0 25 16.5 46 42.1 53.4l1.3.4L96 161.1l16.5-23.3 1.3-.4C139.5 130 156 109 156 84c0-33.1-26.9-60-60-60z" }))));
};
exports.InfoIcon = InfoIcon;
