"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LockClosedIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const LockClosedIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M140 72V60c0-24.3-19.7-44-44-44S52 35.7 52 60v12H32v104h128V72h-20zM60 60c0-19.9 16.1-36 36-36s36 16.1 36 36v12H60V60zm92 108H40V80h112v88z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M84 148h24v-21.4c2.6-2.9 4-6.7 4-10.6 0-4.5-1.9-8.9-5.3-11.9s-7.9-4.5-12.5-4c-7.4.8-13.3 6.8-14.1 14.2-.5 4.5.9 8.9 3.9 12.3V148zm4-32.9c.4-3.6 3.4-6.7 7-7.1 2.3-.3 4.5.5 6.3 2 1.7 1.5 2.7 3.7 2.7 6s-1 4.4-2.7 5.9l-1.3 1.2V140h-8v-16.9l-1.3-1.2c-2-1.7-2.9-4.2-2.7-6.8z" }))));
};
exports.LockClosedIcon = LockClosedIcon;
