"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PotIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const PotIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M156 112v-12H36v12H16v8h20v44c0 6.617 5.383 12 12 12h96c6.617 0 12-5.383 12-12v-44h20v-8h-20zm-8 52c0 2.206-1.794 4-4 4H48c-2.206 0-4-1.794-4-4v-56h104v56zm16-80h-40v-8c0-6.617-5.383-12-12-12H80c-6.617 0-12 5.383-12 12v8H28v8h136v-8zm-88-8c0-2.206 1.794-4 4-4h32c2.206 0 4 1.794 4 4v8H76v-8z" }))));
};
exports.PotIcon = PotIcon;
