"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PuzzleIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const PuzzleIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M156 176.4H36v-39.6c0-7.8 6.4-14.2 14.2-14.2 3.1 0 6 1 8.4 2.8 2 1.5 4.4 2.3 6.8 2.3 6.2 0 11.3-5.1 11.3-11.3s-5.1-11.3-11.3-11.3c-2.5 0-4.8.8-6.8 2.3-2.5 1.8-5.4 2.8-8.5 2.8-7.8 0-14.2-6.4-14.2-14.2V56.4h39.6c3.4 0 6.2-2.8 6.2-6.2 0-1.3-.4-2.6-1.2-3.7-2.5-3.3-3.9-7.4-3.9-11.6 0-10.6 8.6-19.3 19.3-19.3s19.3 8.6 19.3 19.3c0 4.2-1.4 8.3-3.9 11.6-.8 1-1.2 2.3-1.2 3.6 0 3.4 2.8 6.2 6.2 6.2H156v120.1zm-112-8h104v-104h-31.6c-7.8 0-14.2-6.4-14.2-14.2 0-3.1 1-6 2.8-8.4 1.5-2 2.3-4.4 2.3-6.8 0-6.2-5.1-11.3-11.3-11.3S84.7 28.8 84.7 35c0 2.5.8 4.8 2.3 6.8 1.8 2.5 2.8 5.4 2.8 8.5 0 7.8-6.4 14.2-14.2 14.2H44V96c0 3.4 2.8 6.2 6.2 6.2 1.3 0 2.6-.4 3.7-1.2 3.3-2.5 7.4-3.9 11.6-3.9 10.6 0 19.3 8.6 19.3 19.3s-8.6 19.3-19.3 19.3c-4.2 0-8.3-1.4-11.6-3.9-1-.8-2.3-1.2-3.6-1.2-3.4 0-6.2 2.8-6.2 6.2v31.6z" }))));
};
exports.PuzzleIcon = PuzzleIcon;
