"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuestionFilledIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const QuestionFilledIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96 16c-44.112 0-80 35.888-80 80s35.888 80 80 80 80-35.888 80-80-35.888-80-80-80zm1.166 40c12.948 0 21.729 7.572 21.729 18.766 0 5.157-1.646 9.437-4.829 12.949-1.975 2.085-3.512 3.292-8.45 6.584-5.817 3.84-7.134 6.255-7.134 12.84v4.718h-8.01v-5.925c0-8.121 2.305-12.071 10.536-17.887 6.364-4.39 8.449-7.684 8.449-13.06 0-6.805-5.048-11.413-12.62-11.413-8.34 0-13.388 4.39-15.034 13.28l-8.45-1.098c1.098-6.474 2.963-10.316 7.024-13.938C84.657 57.976 90.472 56 97.166 56zm-2.853 65.953c3.84 0 7.023 3.183 7.023 7.024 0 3.84-3.183 7.023-7.023 7.023-3.95 0-7.024-3.073-7.024-7.023 0-3.95 3.073-7.024 7.023-7.024z" }))));
};
exports.QuestionFilledIcon = QuestionFilledIcon;
