"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShareAndroidIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ShareAndroidIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M146 116c-11.3 0-21.1 6.3-26.2 15.5l-47.1-21.7C74.8 105.6 76 101 76 96s-1.2-9.6-3.3-13.7l47.1-21.7c5.1 9.2 15 15.5 26.2 15.5 16.5 0 30-13.5 30-30s-13.5-30-30-30-30 13.5-30 30c0 2.4.3 4.8.8 7.1L68 75.6C62.5 69.7 54.7 66 46 66c-16.5 0-30 13.5-30 30s13.5 30 30 30c8.7 0 16.5-3.7 22-9.6l48.9 22.6c-.5 2.3-.8 4.6-.8 7.1 0 16.5 13.5 30 30 30s30-13.5 30-30S162.5 116 146 116zm0-92c12.1 0 22 9.9 22 22s-9.9 22-22 22-22-9.9-22-22 9.9-22 22-22zM46 118c-12.1 0-22-9.9-22-22s9.9-22 22-22 22 9.9 22 22-9.9 22-22 22zm100 50c-12.1 0-22-9.9-22-22s9.9-22 22-22 22 9.9 22 22-9.9 22-22 22z" }))));
};
exports.ShareAndroidIcon = ShareAndroidIcon;
