"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemperatureCurrentIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const TemperatureCurrentIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M100 136.7V56h-8v80.7c-4.653 1.653-8 6.087-8 11.3 0 6.617 5.383 12 12 12s12-5.383 12-12c0-5.213-3.347-9.647-8-11.3zM96 152c-2.206 0-4-1.794-4-4s1.794-4 4-4 4 1.794 4 4-1.794 4-4 4zm20-116c0-11.028-8.972-20-20-20s-20 8.972-20 20v92.41A28.04 28.04 0 0068 148c0 15.44 12.56 28 28 28s28-12.56 28-28a28.04 28.04 0 00-8-19.59V36zM96 168c-11.028 0-20-8.972-20-20a20.03 20.03 0 016.668-14.904L84 131.904V36c0-6.617 5.383-12 12-12s12 5.383 12 12v95.904l1.332 1.192A20.03 20.03 0 01116 148c0 11.028-8.972 20-20 20zm33.597-112L160 80.322V31.678L129.597 56zM152 63.678L142.403 56 152 48.322v15.356z" }))));
};
exports.TemperatureCurrentIcon = TemperatureCurrentIcon;
