"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WifiSignal1Icon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WifiSignal1Icon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M124.479 118.663c-7.554-7.556-17.6-11.716-28.284-11.716-10.684 0-20.73 4.16-28.284 11.716l-5.656-5.657c9.065-9.066 21.119-14.059 33.94-14.059 12.821 0 24.875 4.993 33.94 14.059l-5.656 5.657zm28.284-28.285c-31.191-31.191-81.945-31.191-113.136 0l5.656 5.657c28.074-28.073 73.75-28.073 101.824 0l5.656-5.657z", fill: secondToneColor }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M175.39 67.751c-43.668-43.668-114.722-43.668-158.39 0l5.656 5.657c40.55-40.549 106.527-40.549 147.078 0l5.656-5.657z", fill: secondToneColor }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96.195 134.747c-6.186 0-11.2 5.014-11.2 11.2 0 6.186 5.014 11.2 11.2 11.2 6.186 0 11.2-5.014 11.2-11.2 0-6.186-5.014-11.2-11.2-11.2z" }))));
};
exports.WifiSignal1Icon = WifiSignal1Icon;
