"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WifiIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WifiIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M124.3 123.7c-7.6-7.6-17.6-11.7-28.3-11.7s-20.7 4.2-28.3 11.7L62 118c9.1-9 21.2-14 34-14s24.9 5 33.9 14.1l-5.6 5.6zm22.6-22.6C118.8 73 73.2 73 45.1 101.1l-5.7-5.7c31.2-31.2 81.9-31.2 113.1 0l-5.6 5.7z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M169.5 78.5C129 37.9 63 37.9 22.5 78.5l-5.7-5.7c43.7-43.7 114.7-43.7 158.4 0l-5.7 5.7z" }),
            react_1.default.createElement(react_native_svg_1.Circle, { cx: 96, cy: 151, r: 11.2 }))));
};
exports.WifiIcon = WifiIcon;
