"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishlistIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WishlistIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M140 160a4 4 0 01-1.655-.358L96 140.394l-42.345 19.248a3.999 3.999 0 01-5.6-4.3l7.66-45.969-34.544-34.544a4 4 0 012.171-6.775l46.08-7.68 23.07-42.29a4 4 0 017.023 0l23.064 42.29 46.079 7.68a4 4 0 012.17 6.775l-34.544 34.544 7.662 45.97A4 4 0 01140 160zm-44-28c.564 0 1.13.12 1.655.358l37.165 16.893-6.766-40.593a4.003 4.003 0 011.117-3.487l30.504-30.503-40.333-6.722a4 4 0 01-2.854-2.031L96.003 28.354 75.51 65.916a3.999 3.999 0 01-2.853 2.03l-40.333 6.722 30.504 30.503a4.003 4.003 0 011.117 3.487L57.18 149.25l37.165-16.893A4.004 4.004 0 0196 132z" }))));
};
exports.WishlistIcon = WishlistIcon;
