//
//  ActivityIndicatorManager.m
//  RNMedusaUI
//
//  Created by Vivien Bartha on 07/10/2020.
//  Copyright © 2020 Bosch. All rights reserved.
//
#import <React/RCTUIManager.h>

#import "ActivityIndicatorManager.h"

@implementation ActivityIndicatorManager

RCT_EXPORT_MODULE(RNMedLoadingIndicator)

RCT_EXPORT_VIEW_PROPERTY(boxSize, CGFloat);
RCT_EXPORT_VIEW_PROPERTY(topColors, NSArray);
RCT_EXPORT_VIEW_PROPERTY(bottomColors, NSArray);
RCT_EXPORT_VIEW_PROPERTY(middleColors, NSArray);


- (UIView *)view
{
    return [[ActivityIndicator alloc] init];
}

RCT_EXPORT_METHOD(startAnimation:(nonnull NSNumber*) reactTag)
{
    [self.bridge.uiManager addUIBlock:^(RCTUIManager *uiManager, NSDictionary<NSNumber *,UIView *> *viewRegistry) {
        ActivityIndicator *view = viewRegistry[reactTag];

        if (!view || ![view isKindOfClass:[ActivityIndicator class]]) {
            RCTLogError(@"Cannot find NativeView with tag #%@", reactTag);
            return;
        }
        [view startAnimation];
    }];
}


RCT_EXPORT_METHOD(stopAnimation:(nonnull NSNumber*) reactTag)
{
    [self.bridge.uiManager addUIBlock:^(RCTUIManager *uiManager, NSDictionary<NSNumber *,UIView *> *viewRegistry) {
        ActivityIndicator *view = viewRegistry[reactTag];

        if (!view || ![view isKindOfClass:[ActivityIndicator class]]) {
            RCTLogError(@"Cannot find NativeView with tag #%@", reactTag);
            return;
        }
        [view stopAnimation];
    }];
}

@end
