# React Native Privacy Component

[[_TOC_]]

## Getting started

### Install library with npm

`$ npm install @bosch-tt/react-native-pumucklib --save`

### Install library with yarn

`$ yarn add @bosch-tt/react-native-pumucklib`

### Link native code

React-native 0.60+ automatically resolves the native code linking. You only need to call the `cd ios && bundle exec pod install` or `cd ios && pod install` before the ios build.

### Link native iOS and Android with pre-0.60 react-native

#### Mostly automatic installation

`$ react-native link react-native-privacy-component`

#### Manual installation

##### iOS

###### With [CocoaPods](https://cocoapods.org/)

Add the following to your `Podfile` and run `pod update`:

```ruby
pod 'RNPrivacyComponent', :path => '../node_modules/react-native-privacy-component
```

_Note: You must be consuming React itself via CocoaPods for this to work, see [React Native documentation](https://facebook.github.io/react-native/docs/integration-with-existing-apps#configuring-cocoapods-dependencies) on how to set that up._

###### Without CocoaPods support

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-privacy-component` and add `RNPrivacyComponent.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNPrivacyComponent.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

##### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`

- Add `import com.bosch.tt.privacypolicy.rn.RNPrivacyComponentPackage;` to the imports at the top of the file
- Add `new RNPrivacyComponentPackage()` to the list returned by the `getPackages()` method

2. Append the following lines to `android/settings.gradle`:

```gradle
include ':react-native-privacy-component'
project(':react-native-privacy-component').projectDir = new File(rootProject.projectDir, '../node_modules/react-native-privacy-component/android')
```

3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:

```gradle
compile project(':react-native-privacy-component')
```

## Usage

```javascript
import RNPrivacyComponent from "react-native-privacy-component";

// Use module.
RNPrivacyComponent;
```

## Publishing

Updating the versions of the packages and updating the changelog is done via the `update:version` script. In the root of the library run

```sh
yarn update:version <version-number>
## E.g: yarn update:version 1.2.0
```

Under the hood, we use `yarn version` for updating package version numbers.

Due to possible typos, the changelog may not be updated, please check that the version was indeed changed. The script should also warn you if the desired version was not added to the changelog.

After versions are updated and you are satisfied, commit the changes to `master` with a message like `Bump version number to v<version>` and tag the commit with the `v<version>` tag.

The CI pipeline will take care of publishing the package to repo1, so you should not need to run publish manually.

## Contributing

Please read the [contributing guide](CONTRIBUTING.md) for getting started.
