import React from "react";
import { type ViewProps } from "react-native";
import type { Country } from "../types";
export declare type CountrySelectorProps = ViewProps & {
    /**
     * Which countries are supported by the application.
     */
    countries?: Country[];
    /**
     * Relevant only on Android. Shows the common countries from the available documents and
     * the provided countries from prop.
     */
    loadCountries?: boolean;
    /**
     * Gets called in case the user taps on one of the displayed countries.
     * @param country on which the user tapped
     */
    onCountrySelected?(country: Country): void;
};
export declare class CountrySelector extends React.Component<CountrySelectorProps> {
    private viewHandle;
    private onCountrySelected;
    private setRef;
    private setSupportedCountries;
    componentDidMount(): void;
    componentDidUpdate(prevProps: CountrySelectorProps): void;
    render(): JSX.Element;
}
//# sourceMappingURL=country-selector.d.ts.map