import type { Animation, AnimationCallback, AnimatableValue, Timestamp, ReduceMotion } from '../commonTypes';
interface DecayConfig {
    deceleration?: number;
    velocityFactor?: number;
    rubberBandEffect?: boolean;
    clamp?: number[];
    velocity?: number;
    reduceMotion?: ReduceMotion;
}
export type WithDecayConfig = DecayConfig;
export interface DecayAnimation extends Animation<DecayAnimation> {
    lastTimestamp: Timestamp;
    startTimestamp: Timestamp;
    initialVelocity: number;
    velocity: number;
    current: AnimatableValue;
}
type withDecayType = (userConfig: DecayConfig, callback?: AnimationCallback) => number;
export declare const withDecay: withDecayType;
export {};
