import type { ILayoutAnimationBuilder, LayoutAnimationFunction } from '../animationBuilder/commonTypes';
import { BaseAnimationBuilder } from '../animationBuilder';
import type { EasingFunction } from '../../Easing';
export declare class CurvedTransition extends BaseAnimationBuilder implements ILayoutAnimationBuilder {
    easingXV: EasingFunction;
    easingYV: EasingFunction;
    easingWidthV: EasingFunction;
    easingHeightV: EasingFunction;
    static createInstance<T extends typeof BaseAnimationBuilder>(this: T): InstanceType<T>;
    static easingX(easing: EasingFunction): CurvedTransition;
    easingX(easing: EasingFunction): CurvedTransition;
    static easingY(easing: EasingFunction): CurvedTransition;
    easingY(easing: EasingFunction): CurvedTransition;
    static easingWidth(easing: EasingFunction): CurvedTransition;
    easingWidth(easing: EasingFunction): CurvedTransition;
    static easingHeight(easing: EasingFunction): CurvedTransition;
    easingHeight(easing: EasingFunction): CurvedTransition;
    build: () => LayoutAnimationFunction;
}
